@echo off
rem PLALL.BAT   TMF  17-Dec-92
rem from PLCOMP.BAT   JAP  17-Jan-92
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
rem Minor mods 94/3/15 TMF - shift deletes to more appropriate place
if .%1==. goto usage
if not exist %1.pld goto nopld
rem Start processing
echo Compiling [%1.pld] into [%1.int]
if exist %1.int del %1.int
plc -i %1.pld -o %1.int -p
if errorlevel 1 goto plcerr
echo Optimizing [%1.int] into [%1.opt]
if exist %1.opt del %1.opt
optimize -i %1.int -o %1.opt -b 6 %2
if errorlevel 1 goto opterr
echo Generating JEDEC map [%1.jed] from [%1.opt]
if exist %1.jed del %1.jed
if exist %1.lst del %1.lst
if exist %1.sim del %1.sim
if exist %1.wav del %1.wav
jm -i %1.opt -l %1.lst -o %1.jed -m
if errorlevel 1 goto maperr
goto plcstatus
:plcerr
echo Compilation error
goto batcherr
:opterr
echo Optimization error
goto batcherr
:maperr
echo JEDEC map generation error
goto batcherr
:simerr
echo Simulation error
:batcherr
echo Batch processing terminated
goto complete
:usage
echo PLALL.BAT = PLPL V2.3 Compilation, Simulation and Tidy Batch program
echo        Usage: plall srcfile
echo SRCFILE must exist with extension [.PLD]
goto complete
:nopld
echo File [%1.pld] does not exist
goto complete
:nojed
echo File [%1.jed] does not exist
goto complete
:novctr
echo No test vectors specified
goto complete
:plcstatus
rem from PLSIM.BAT   TMF 1 Apr 92
rem from JAP's PLSIM.BAT,
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+ August 1988
if exist %1.tst del %1.tst
echo Producing Jedec test vectors from [%1.pld]
testv -i %1.pld -o %1.tst
if errorlevel 1 goto novctr
if not exist %1.jed goto nojed
echo Simulating [%1.jed] with vectors from [%1.tst]
if exist %1.sim del %1.sim
if exist %1.wav del %1.wav
sim -i %1.jed %1.tst -o %1.sim
if errorlevel 1 goto simerr
rem PLVEC.BAT   JAP  16-Jan-92
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
if not exist %1.jed goto nojed
rem Concatenate the test vector and JEDEC files
echo Combining [%1.jed] with [%1.tst]
jm -a %1.jed %1.tst
rem if errorlevel 1 goto caterr
rem from PLT.BAT  TMF 1996 AUG 28.  Edited from pltidy.bat
rem from PLTIDY.BAT   JAP  16-Jan-92
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
echo.
if exist %1.int goto some
if exist %1.opt goto some
if exist %1.tst goto some
if exist %1.sim goto some
if exist %1.wav goto some
if exist %1.bak goto some
if exist %1.$$$ goto some
if exist %1.rpt goto some
echo No %1 PLPL files to delete
goto workrem
:some
echo Deleting all %1 PLPL files except %1.pld %1.jed and %1.lst
if exist %1.int del %1.int
if exist %1.opt del %1.opt
rem if exist %1.jed del %1.jed
if exist %1.tst del %1.tst
if exist %1.sim del %1.sim
rem if exist %1.lst del %1.lst
if exist %1.wav del %1.wav
if exist %1.bak del %1.bak
if exist %1.rpt del %1.rpt
if exist %1.$$$ del %1.$$$
:workrem
rem now remove any PLPL temp files
if exist $___map.jed goto somwork
if exist $___part goto somwork
if exist $_invert goto somwork
if exist $_tmp_ goto somwork
if exist $new_int goto somwork
if not exist $tmp goto complete
:somwork
echo.
echo Deleting PLPL temporary working files
if exist $___map.jed del $___map.jed
if exist $___part del $___part
if exist $_invert del $_invert
if exist $_tmp_ del $_tmp_
if exist $new_int del $new_int
if exist $tmp del $tmp
:complete
echo on
