@echo off
rem PLCOMP.BAT   JAP  17-Jan-92
rem from BPLPL.BAT = PLPL V2.3 batch file for PC-DOS 2.0+
rem August 1988
rem Minor mods TMF 94/3/15 - shift deletes to better locations
if .%1==. goto usage
if not exist %1.pld goto nofile
rem if exist %1.tst del %1.tst
rem Start processing
echo Compiling [%1.pld] into [%1.int]
if exist %1.int del %1.int
plc -i %1.pld -o %1.int -p
if errorlevel 1 goto plcerr
echo Optimizing [%1.int] into [%1.opt]
if exist %1.opt del %1.opt
optimize -i %1.int -o %1.opt -b 6 %2
if errorlevel 1 goto opterr
echo Generating JEDEC map [%1.jed] from [%1.opt]
if exist %1.jed del %1.jed
if exist %1.lst del %1.lst
if exist %1.sim del %1.sim
if exist %1.wav del %1.wav
jm -i %1.opt -l %1.lst -o %1.jed -m
if errorlevel 1 goto maperr
goto status
:plcerr
echo Compilation error
goto batcherr
:opterr
echo Optimization error
goto batcherr
:maperr
echo JEDEC map generation error
goto batcherr
goto complete
:usage
echo PLCOMP.BAT = PLPL V2.3 Compilation Batch program
echo        Usage: plcomp srcfile
echo SRCFILE must have extension [.PLD]
goto complete
:nofile
echo File [%1.pld] does not exist
goto complete
:batcherr
echo Batch processing terminated
goto complete
:status
echo [%1.pld] compiled, optimised and Jedec fuse map produced
echo - Optimised File       [%1.opt]
echo - Jedec Fuse Map File  [%1.jed]
echo - Equation List        [%1.lst]
:complete
rem delete working files
if exist $_invert del $_invert
if exist $___part del $___part
if exist $new_int del $new_int
if exist $tmp del $tmp
if exist $_tmp_ del $_tmp_
if exist $___map.jed del $___map.jed
echo on
